Name: ldns
Version: 1.3.0_pre_20080229
Release: alt1.M41.1
License: BSD
Url: http://www.nlnetlabs.nl/%name/
Source: http://www.nlnetlabs.nl/downloads/%name-%version.tar.gz
Group: System/Libraries
Summary: Lowlevel DNS(SEC) library with API
Packager: Slava Dubrovskiy <dubrsl@altlinux.ru>

BuildRequires: gcc-c++ libssl-devel doxygen perl

%description
ldns is a library with the aim to simplify DNS programing in C. All
lowlevel DNS/DNSSEC operations are supported. We also define a higher
level API which allows a programmer to (for instance) create or sign
packets.

%package -n drill
Summary: Drill  is a tool to designed to get all sorts of information out of the DNS
Group: Networking/DNS

%description -n drill
Drill  is a tool to designed to get all sorts of information out of the DNS. 
It is specificly designed to be used with DNSSEC

The name drill is a pun on dig. With drill you should be able get  even
more information than with dig.

%package -n lib%name
Summary: Lowlevel DNS(SEC) library with API
Group: System/Libraries
Provides: %name = %version-%release

%description -n lib%name
libldns is a library with the aim to simplify DNS programing in C. All
lowlevel DNS/DNSSEC operations are supported. We also define a higher
level API which allows a programmer to (for instance) create or sign
packets.

%package -n lib%name-static
Summary: Lowlevel DNS(SEC) static library with API
Group: System/Libraries

%description -n lib%name-static
libldns is a static library with the aim to simplify DNS programing in C. 
All lowlevel DNS/DNSSEC operations are supported. We also define a higher
level API which allows a programmer to (for instance) create or sign
packets.

%package -n lib%name-devel
Summary: Development package that includes the ldns header files
Group: Development/C
Requires: lib%name = %version-%release libssl-devel

%description -n lib%name-devel
The devel package contains the ldns library and the include files

%package -n lib%name-examples
Summary: Examples for library
Group: Development/C

%description -n lib%name-examples
Examples for library

%set_compress_method skip

%prep
%setup -q
%autoreconf
%configure --disable-rpath

%build
%make_build
%__make  doc

# Make drill
cd drill
%configure --disable-rpath --with-ldns=../ldns/
make
cd ..

# Make examples
cd examples
%configure --disable-rpath --with-ldns=../ldns/
make
cd ..

%install
%__make DESTDIR=%buildroot install
%__make DESTDIR=%buildroot install-doc

# don't package building script in doc
rm doc/doxyparse.pl
#remove doc stubs
rm -rf doc/.svn
#remove double set of man pages
rm -rf doc/man

cd drill
make DESTDIR=%buildroot install
cd ..

cd examples
make DESTDIR=%buildroot install

%post -n lib%name -p /sbin/ldconfig

%postun -n lib%name -p /sbin/ldconfig

%files -n drill
%_bindir/drill
%_mandir/man1/drill*

%files -n lib%name
%_libdir/libldns*so*
%doc README LICENSE

%files -n lib%name-static
%_libdir/libldns.a

%files -n lib%name-devel
%dir %_includedir/ldns/*
%doc doc Changelog README
%_mandir/man3/*

%files -n lib%name-examples
%_bindir/ldns-*
%_bindir/ldnsd
%_mandir/man1/ldns-*
%_mandir/man1/ldnsd*

%changelog
* Fri Sep 19 2008 Slava Dubrovskiy <dubrsl@altlinux.org> 1.3.0_pre_20080229-alt1.M41.1
- Backport for M41

* Sun May 25 2008 Slava Dubrovskiy <dubrsl@altlinux.ru> 1.3.0_pre_20080229-alt1
- New version

* Sun May 25 2008 Slava Dubrovskiy <dubrsl@altlinux.ru> 1.2.2-alt1
- Build for ALT
